/* text */

h1.heading, h2.heading, h2.section-heading { font-size: var(--heading-font-size); line-height: var(--heading-line-height); margin: var(--heading-margin) 0; }
.section-heading { margin-top: var(--section-margin); }

h3 { font-size: var(--sub-heading-font-size); line-height: var(--sub-heading-line-height); margin: var(--text-margin) 0; }
h4 { margin: var(--text-margin) 0 2px; }
h4 + p { margin-top: 2px; }


/* images */

.image-container { display: flex; flex-wrap: wrap; align-items: flex-end; gap: var(--box-margin-large); margin: var(--box-margin) 2px var(--box-margin-large); }
.image-container img { display: block; max-width: 100%; }
.image-container figcaption { margin: var(--text-margin-small) 0 0 2px; }

@media (min-width: 790px) {
    .image-container.image-fluid { flex-wrap: nowrap; }
}

@media (max-width: 620px) {
    .image-container { justify-content: center; }
}

@media (max-width: 560px) {
    .image-container.image-portrait { margin-inline: var(--portrait-margin-inline); }
}


/* elements */

.text-panel { display: flow-root; background-color: #f3f3f3; padding: 0 20px;  border-radius: 4px; margin: var(--box-margin) 0; }
